/*
 *   Copyright (C) 2015 by Jonathan Naylor G4KLX
 *
 *   Modifications of original code to work with OP25
 *   Copyright (C) 2019 by Graham J. Norbury
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef Golay2087_H
#define Golay2087_H

#include <vector>

typedef std::vector<bool> bit_vector;

class CGolay2087 {
public:
	static void encode(bit_vector& data);
	static unsigned int decode(bit_vector& data);

private:
	static unsigned int getSyndrome1987(unsigned int pattern);
};

class CQR1676 {
public:
	static void encode(bit_vector& data);
	static unsigned char decode(bit_vector& data);

private:
	static unsigned int getSyndrome1576(unsigned int pattern);
};

#endif
